/**
 * WordPress dependencies
 */
import { __ } from '@wordpress/i18n';
import { PanelRow } from '@wordpress/components';
import { PluginDocumentSettingPanel } from '@wordpress/edit-post';
import { Component } from '@wordpress/element';

/**
 * Internal dependencies
 */
import PostGenerateAudio from '../post-generate-audio';
import PostOpenSidebar from '../post-open-sidebar';
import PostPaymentRequired from '../post-payment-required';
import PostPlayAudio from '../post-play-audio';
import PostStatusDescription from '../post-status-description';

export default class SpeechkitPluginDocumentSettingPanel extends Component {
	/**
	 *
	 */
	render() {
		return (
			<PluginDocumentSettingPanel
				name="document-sidebar"
				title={ __( 'SpeechKit', 'speechkit' ) }
				className="speechkit-sidebar"
			>
				<PostStatusDescription wrapper={ PanelRow } />
				<PostPaymentRequired wrapper={ PanelRow } />
				<PostGenerateAudio wrapper={ PanelRow } />
				<PostPlayAudio wrapper={ PanelRow } />
				<PostOpenSidebar wrapper={ PanelRow } />
			</PluginDocumentSettingPanel>
		);
	}
}
