/**
 * WordPress dependencies
 */
import { __ } from '@wordpress/i18n';
import { PluginSidebar, PluginSidebarMoreMenuItem } from '@wordpress/edit-post';
import { Component, Fragment } from '@wordpress/element';

/**
 * Internal dependencies
 */
import PostHelpPanel from '../post-help-panel';
import PostInspectPanel from '../post-inspect-panel';
import PostStatusPanel from '../post-status-panel';

export default class SpeechkitPluginSidebar extends Component {
	/**
	 *
	 */
	render() {
		return (
			<Fragment>
				<PluginSidebarMoreMenuItem target="plugin-sidebar">
					{ __( 'SpeechKit', 'speechkit' ) }
				</PluginSidebarMoreMenuItem>
				<PluginSidebar
					name="plugin-sidebar"
					title={ __( 'SpeechKit', 'speechkit' ) }
				>
					<PostStatusPanel />
					<PostHelpPanel />
					<PostInspectPanel />
				</PluginSidebar>
			</Fragment>
		);
	}
}
