/**
 * WordPress dependencies
 */
import { compose } from '@wordpress/compose';
import { withSelect } from '@wordpress/data';

/**
 * Internal dependencies
 */
import * as SPEECHKIT_STATUS from '../../constants/speechkit-status';

export function DisplayPlayerCheck( { hasDisplayPlayerAction, children } ) {
	if ( ! hasDisplayPlayerAction ) {
		return null;
	}

	return children;
}

export default compose( [
	withSelect( ( select ) => {
		const { getEditedPostAttribute } = select( 'core/editor' );
		return {
			hasDisplayPlayerAction:
				getEditedPostAttribute( 'meta' ).speechkit_status === SPEECHKIT_STATUS.PROCESSED,
		};
	} ),
] )( DisplayPlayerCheck );
