/**
 * WordPress dependencies
 */
import { compose } from '@wordpress/compose';
import { withSelect } from '@wordpress/data';

export function GenerateAudioCheck( { hasGenerateAudioAction, children } ) {
	if ( ! hasGenerateAudioAction ) {
		return null;
	}

	return children;
}

export default compose( [
	withSelect( ( select ) => {
		const { getEditedPostAttribute } = select( 'core/editor' );
		return {
			hasGenerateAudioAction: ! getEditedPostAttribute( 'meta' ).speechkit_status,
		};
	} ),
] )( GenerateAudioCheck );
