/**
 * WordPress dependencies
 */
import { __ } from '@wordpress/i18n';
import {
	Button,
	Dashicon,
	ExternalLink,
	HorizontalRule,
	PanelBody,
	PanelRow,
} from '@wordpress/components';

export default () => (
	<PanelBody
		title={ __( 'Help', 'speechkit' ) }
		initialOpen={ true }
		className={ 'speechkit speechkit-sidebar__help' }
	>
		<PanelRow>
			{ __(
				'Our setup guide explains how to automatically convert your posts into audio as soon as they are published.',
				'speechkit'
			) }
		</PanelRow>
		<PanelRow>
			<ExternalLink href="https://docs.speechkit.io/dc09c75903ee44c3973cb2c43e186ae0">
				{ __( 'WordPress Setup Guide', 'speechkit' ) }
			</ExternalLink>
		</PanelRow>
		<HorizontalRule />
		<PanelRow>
			{ __(
				'Having problems? Email our support team and we’ll get back to you.',
				'speechkit'
			) }
		</PanelRow>
		<PanelRow>
			<Button isSecondary href="mailto:support@speechkit.io">
				<Dashicon icon="email" />
				{ __( 'Email SpeechKit', 'speechkit' ) }
			</Button>
		</PanelRow>
	</PanelBody>
);
