/**
 * WordPress dependencies
 */
import { __ } from '@wordpress/i18n';
import { Button } from '@wordpress/components';
import { Fragment } from '@wordpress/element';

/**
 * Internal dependencies
 */
import DisplayPaymentRequiredCheck from './check';

export default function PaymentRequired( { wrapper } ) {
	const Wrapper = wrapper || Fragment;
	return (
		<DisplayPaymentRequiredCheck>
			<Wrapper>
				<Button
					isPrimary
					href="https://my.speechkit.io/"
					target="_blank"
				>
					{ __( 'Choose a Plan', 'speechkit' ) }
				</Button>
			</Wrapper>
		</DisplayPaymentRequiredCheck>
	);
}
