/**
 * WordPress dependencies
 */
import { compose } from '@wordpress/compose';
import { withSelect } from '@wordpress/data';

/**
 * Internal dependencies
 */
import * as SPEECHKIT_STATUS from '../../constants/speechkit-status';

export function RegenerateAudioCheck( { hasRegenerateAudioAction, children } ) {
	if ( ! hasRegenerateAudioAction ) {
		return null;
	}

	return children;
}

export default compose( [
	withSelect( ( select ) => {
		const { getEditedPostAttribute } = select( 'core/editor' );
		const validStatuses = [
			SPEECHKIT_STATUS.PROCESSED,
			SPEECHKIT_STATUS.ERROR,
			SPEECHKIT_STATUS.FAILED,
		];
		return {
			hasRegenerateAudioAction: validStatuses.includes(
				getEditedPostAttribute( 'meta' ).speechkit_status
			),
		};
	} ),
] )( RegenerateAudioCheck );
