/**
 * WordPress dependencies
 */
import { registerPlugin } from '@wordpress/plugins';

/**
 * Internal dependencies
 */
import SpeechkitPluginDocumentSettingPanel from './components/plugin-document-setting-panel';
import SpeechkitPluginPrepublishPanel from './components/plugin-prepublish-panel';
import SpeechkitPluginSidebar from './components/plugin-sidebar';
import { registerStores } from './store';

registerStores();

registerPlugin( 'speechkit-document-sidebar', {
	icon: 'controls-volumeon',
	render: SpeechkitPluginDocumentSettingPanel,
} );

registerPlugin( 'speechkit-plugin-sidebar', {
	icon: 'controls-volumeon',
	render: SpeechkitPluginSidebar,
} );

registerPlugin( 'speechkit-prepublish-sidebar', {
	icon: 'controls-volumeon',
	render: SpeechkitPluginPrepublishPanel,
} );
