<?php

/**
 * Provide a admin area view for the plugin
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @link       https://speechkit.io
 * @since      1.0.0
 *
 * @package    Speechkit
 * @subpackage Speechkit/admin/partials
 */
?>
<div class="wrap">

    <form id="speechkit-plugin-settings" action="<?php echo esc_url(admin_url('options.php')); ?>" method="post">

        <h1>
            <?php _e( 'SpeechKit Settings', 'speechkit' ); ?>
            <a href="#sk-need-help" style="vertical-align: super;font-size: 0.7em;">
                <?php _e( 'Need help?', 'speechkit' ); ?>
            </a>
        </h1>

        <?php

        $speechkit_id = Speechkit_Admin::get_setting('speechkit_id');

        if ($speechkit_id):
            ?>
            <p>
                <a class="button button-secondary" href="https://app.speechkit.io/" target="_blank">
                    <?php _e('SpeechKit Dashboard', 'speechkit'); ?>
                </a>
            </p>
            <?php
        endif;

        settings_fields('speechkit');
        do_settings_sections('speechkit');
        submit_button('Save Settings');

        ?>
    </form>
